Hot Corners can be activated while screen is locked (multi monitors)

Bug #1084288 reported by Mike Kopy on 2012-11-28
330
This bug affects 15 people
Affects Status Importance Assigned to Milestone
Gala
Fix Released
Critical
Tom Beckmann

Bug Description

Hot Corners can be activated when the computer is locked from being idle.
The activated commands will just appear on top of the login box.

ProblemType: Bug
DistroRelease: elementary OS 0.2
Package: elementary-desktop 1.284-0~355~precise1 [origin: LP-PPA-elementary-os-daily]
ProcVersionSignature: Ubuntu 3.2.0-33.52-generic 3.2.31
Uname: Linux 3.2.0-33-generic x86_64
ApportVersion: 2.0.1-0ubuntu15
Architecture: amd64
CrashDB: elementary_meta
Date: Wed Nov 28 16:21:27 2012
InstallationMedia: elementary OS 0.2 "Luna" - Beta 1 amd64 (20121114)
MarkForUpload: True
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: elementary-meta
SuspiciousXErrors:

ThirdParty: True
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Mike Kopy (mikeex) wrote :
Cody Garver (codygarver) on 2012-11-29
affects: elementaryos → gala
Changed in gala:
milestone: none → luna-beta2
information type: Private Security → Public Security

Actually this is true for every kind of hot corner action. Hot corners should not be able to be activated when the session is locked.

summary: - Window Expose over lock screen
+ Hot Corners can be activated while screen is locked
Changed in gala:
status: New → Confirmed
importance: Undecided → High
description: updated
Changed in gala:
importance: High → Critical

I'm not able to reproduce this here. Luna daily.

Neither can I.

Daniel Fore (danrabbit) wrote :

Can't confirm here either. Marking as "incomplete" until someone else can reproduce. removing from beta2 milestone as well.

Changed in gala:
status: Confirmed → Incomplete
milestone: luna-beta2 → none

Confirmed in duplicate bug 1082169

Changed in gala:
status: Incomplete → Confirmed
milestone: none → luna-beta2
Tom Beckmann (tombeckmann) wrote :

No way to reproduce it here. Gala is not even shown in any way after the screen locks. Can you maybe take a screenshot of your lock settings or give us some more hints on how to possibly get it reproduced?
And the duplicate bug, that is said to confirm this issue does not exist (I suspect a plot against gala, probably related to that top secret document shown in the first image!)

Changed in gala:
status: Confirmed → Incomplete

I just enable window expose on the bottom left corner. I'm also using a
dual-monitor desktop configuration with the left screen being the main
focus.
On Dec 24, 2012 9:30 AM, "Tom Beckmann" <email address hidden> wrote:

> No way to reproduce it here. Gala is not even shown in any way after the
> screen locks. Can you maybe take a screenshot of your lock settings or give
> us some more hints on how to possibly get it reproduced?
> And the duplicate bug, that is said to confirm this issue does not exist
> (I suspect a plot against gala, probably related to that top secret
> document shown in the first image!)
>
> ** Changed in: gala
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1084288
>
> Title:
> Hot Corners can be activated while screen is locked
>
> Status in Gala Window Manager:
> Incomplete
>
> Bug description:
> Hot Corners can be activated when the computer is locked from being idle.
> The activated commands will just appear on top of the login box.
>
> ProblemType: Bug
> DistroRelease: elementary OS 0.2
> Package: elementary-desktop 1.284-0~355~precise1 [origin:
> LP-PPA-elementary-os-daily]
> ProcVersionSignature: Ubuntu 3.2.0-33.52-generic 3.2.31
> Uname: Linux 3.2.0-33-generic x86_64
> ApportVersion: 2.0.1-0ubuntu15
> Architecture: amd64
> CrashDB: elementary_meta
> Date: Wed Nov 28 16:21:27 2012
> InstallationMedia: elementary OS 0.2 "Luna" - Beta 1 amd64 (20121114)
> MarkForUpload: True
> ProcEnviron:
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: elementary-meta
> SuspiciousXErrors:
>
> ThirdParty: True
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gala/+bug/1084288/+subscriptions
>

Yep, set Window Overview to bottom left corner -> lock screen -> mouse over bottom left corner -> observe bug.

Changed in gala:
status: Incomplete → Confirmed
Tom Beckmann (tombeckmann) wrote :

It is caused by using multiple monitors, for a single monitor everything works as expected. I will report a bug for mutter first, before we'll try to fix it in gala by watching the lock's dbus for example.

Cody Garver (codygarver) on 2013-01-01
summary: - Hot Corners can be activated while screen is locked
+ Hot Corners can be activated while screen is locked (multi monitors)
Daniel Fore (danrabbit) on 2013-01-08
Changed in gala:
milestone: luna-beta2 → luna-beta3
Seppe Stas (seppestas) wrote :

I have the same problem on elementary 0.2 (fully updated), and it's really anoying :(

Cody Garver (codygarver) on 2013-05-06
Changed in gala:
milestone: luna-beta3 → rc1
xapantu (xapantu) wrote :

I cannot reproduce it by launching "gnome-screensaver-command -l", it works perfectly (and I do have hotcorners activated).

I believe this was fixed, I recall seeing a merge request for that..

Cody Garver (codygarver) wrote :

I can't reproduce this either.

Changed in gala:
status: Confirmed → Incomplete

Hi,
I think this bug was correctes because I can't reproduce anymore
Le 17 juin 2013 23:01, "Cody Garver" <email address hidden> a écrit :

> I can't reproduce this either.
>
> ** Changed in: gala
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1175588).
> https://bugs.launchpad.net/bugs/1084288
>
> Title:
> Hot Corners can be activated while screen is locked (multi monitors)
>
> Status in Gala Window Manager:
> Incomplete
>
> Bug description:
> Hot Corners can be activated when the computer is locked from being idle.
> The activated commands will just appear on top of the login box.
>
> ProblemType: Bug
> DistroRelease: elementary OS 0.2
> Package: elementary-desktop 1.284-0~355~precise1 [origin:
> LP-PPA-elementary-os-daily]
> ProcVersionSignature: Ubuntu 3.2.0-33.52-generic 3.2.31
> Uname: Linux 3.2.0-33-generic x86_64
> ApportVersion: 2.0.1-0ubuntu15
> Architecture: amd64
> CrashDB: elementary_meta
> Date: Wed Nov 28 16:21:27 2012
> InstallationMedia: elementary OS 0.2 "Luna" - Beta 1 amd64 (20121114)
> MarkForUpload: True
> ProcEnviron:
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: elementary-meta
> SuspiciousXErrors:
>
> ThirdParty: True
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gala/+bug/1084288/+subscriptions
>

Tom Beckmann (tombeckmann) wrote :

Not fixed here.

Changed in gala:
status: Incomplete → Confirmed
Cody Garver (codygarver) on 2013-08-11
Changed in gala:
milestone: luna-rc1 → 0.3-beta1
Cameron Norman (cameronnemo) wrote :

Still seeing this. gala 0.1-0~r353+pkg18~precise1

Rico Tzschichholz (ricotz) wrote :

Proposed fix merged in r360

Changed in gala:
status: Confirmed → Fix Committed
assignee: nobody → Tom Beckmann (tombeckmann)
Cody Garver (codygarver) on 2013-11-21
Changed in gala:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Duplicates of this bug

Other bug subscribers